module.exports = {
  presets: [
    [
      '@babel/preset-env',
      {
        targets: { node: '16', browsers: 'last 3 versions and >1% and not dead and not ie < 12' },
        corejs: '3',
        useBuiltIns: 'usage',
        spec: true
      }
    ],
    '@vue/cli-plugin-babel/preset',
    '@vue/babel-preset-jsx'
  ],
  plugins: [
    '@babel/plugin-proposal-optional-chaining',
    '@babel/plugin-proposal-nullish-coalescing-operator',
    '@babel/plugin-proposal-class-static-block',
    '@babel/plugin-proposal-class-properties',
    '@babel/plugin-proposal-private-methods'
  ],
  env: {
    dev: {
      plugins: [['transform-remove-console', { include: [''] }]]
    },
    build: {
      plugins: [['transform-remove-console', { exclude: ['error', 'warn'] }]]
    }
  }
}
